Make jenkins build nightly builds again
Closed, ResolvedPublic

Description

Well, it looks like something got broken and we have no working nightly builds of vyos-build since 1'st of December.
The only meaningful line for me on it is this line:

ERROR: Failed to clean the workspace

https://ci.vyos.net/job/vyos-build/build=jessie64devel.vyos.net/330/console

Details

Difficulty level
Normal (likely a few hours)
mickvav created this task.Dec 19 2016, 12:09 PM

Our gateway is bad and we should feel bad. When jenkins migration to the new site is complete (we are migrating build hosts too), this should work again.

Nightly builds are working again, need to fix web hooks next.

higebu added a subscriber: higebu.Jan 12 2017, 2:57 PM

Nightly builds are not working again? It seems jessie64devel.vyos.net is down now.

And https://ci.vyos.net certificate is invalid.

$ openssl s_client -connect ci.vyos.net:443 -quiet
depth=2 C = IL, O = StartCom Ltd., OU = Secure Digital Certificate Signing, CN = StartCom Certification Authority
verify return:1
depth=1 C = IL, O = StartCom Ltd., OU = StartCom Certification Authority, CN = StartCom Class 3 OV Server CA
verify return:1
depth=0 C = ES, ST = Madrid, L = Alcorcon, O = Sentrium S.L., CN = vyos.io
verify return:1

I heard there will come a new server available to run jenkins on, i have to wait until i have more information.

Once @tmartinson setups a physical server for us (I'd like to say thanks to him, by the way!), it will become a permanent place for the jenkins VM and build hosts where we can give access all maintainers without worrying about mixing Sentrium corporate stuff with it.

For now they are working again.

jclendenan closed this task as Resolved.Feb 9 2017, 9:21 PM
jclendenan claimed this task.
jclendenan added a subscriber: jclendenan.

Resolved? nightly builds appear to be now located:

http://dev.packages.vyos.net/iso/current/

Great, thanks!